# $Revision: 1.32 $, $Date: 2007/02/02 12:41:04 $
Summary:	Bluetooth libraries
Summary(pl):	Biblioteki Bluetooth
Name:		bluez-libs
Version:	3.9
Release:	1
License:	GPL v2
Group:		Libraries
#Source0Download: http://www.bluez.org/download.html
Source0:	http://bluez.sourceforge.net/download/%{name}-%{version}.tar.gz
# Source0-md5:	53275e1824886368f11f586899707e08
URL:		http://www.bluez.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool >= 1:1.4.2-9
Conflicts:	bluez-sdp
ExcludeArch:	s390 s390x
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libraries for use in Bluetooth applications.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%description -l pl
Biblioteki do uywania w aplikacjach Bluetooth.

Znaki towarowe BLUETOOTH s wasnoci Bluetooth SIG, Inc. z USA.

%package devel
Summary:	Header files for Bluetooth applications
Summary(pl):	Pliki nagwkowe dla aplikacji Bluetooth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	bluez-sdp-devel

%description devel
bluez-libs-devel contains header files for use in Bluetooth
applications.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe do uywania w aplikacjach
Bluetooth.

%package static
Summary:	Static Bluetooth libraries
Summary(pl):	Biblioteki statyczne Bluetooth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	bluez-sdp-static

%description static
bluez-libs-static contains development static libraries for use in
Bluetooth applications.

%description static -l pl
Ten pakiet zawiera biblioteki statyczne, ktrych mona uywa do
aplikacji Bluetooth.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libbluetooth.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbluetooth.so
%{_libdir}/libbluetooth.la
%{_includedir}/bluetooth
%{_aclocaldir}/*.m4
%{_pkgconfigdir}/bluez.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libbluetooth.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bluez-libs.spec,v $
Revision 1.32  2007/02/02 12:41:04  matkor
- Version 3.9-1. Works for me - STBR for AC-ready.

Revision 1.31  2006/11/29 22:48:03  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.30  2006/10/08 21:41:24  qboosh
- updated to 3.7

Revision 1.29  2006/09/24 18:51:29  luzik
- updated to 3.5

Revision 1.28  2006/08/28 17:18:02  wolvverine
- up to 3.4

Revision 1.27  2006/08/23 16:53:14  qboosh
- updated URL

Revision 1.26  2006/08/23 16:34:22  wrobell
- ver. 3.3

Revision 1.25  2006/01/23 13:11:32  wrobell
- ver. 2.25

Revision 1.24  2005/09/11 21:31:31  blekot
- up to 2.21
- some memory leaks bug closed.
- STBR!!!!!

Revision 1.23  2005/05/12 21:19:49  adamg
- release 2 for Th

Revision 1.22  2005/05/12 06:08:13  leafnode
- updated to 2.17

Revision 1.21  2005/03/13 12:58:29  wiget
- updated to 2.15

Revision 1.20  2004/11/21 14:07:54  qboosh
- updated to 2.11 (many improvements)

Revision 1.19  2004/08/26 21:57:02  qboosh
- updated to 2.10, removed obsolete CFLAGS patch

Revision 1.18  2004/07/23 13:30:51  pluto
- from now bluez-libs won't provide libsdp.
- release 2.

Revision 1.17  2004/07/23 11:54:24  pluto
- updated to 2.8.

Revision 1.16  2004/05/31 20:04:55  wrobell
- glib is not required to build

Revision 1.15  2004/05/20 22:27:56  qboosh
- updated to 2.7

Revision 1.14  2004/04/11 13:43:54  qboosh
- BR: libtool with relink fixed

Revision 1.13  2004/04/11 13:13:50  qboosh
- restored CFLAGS patch to use optflags (broken by djurban)
- added sdp path to again include sdp code in libsdp
- base conflicts with bluez-sdp, -devel,-static obsolete bluez-sdp-*
- release 2

Revision 1.12  2004/04/10 12:44:06  adgor
- Typo

Revision 1.11  2004/04/04 18:46:08  djurban
- updated to 2.6

Revision 1.10  2003/12/22 15:42:30  eothane
- updated to 2.5

Revision 1.9  2003/08/06 16:36:35  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.8  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.7  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:46:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/15 11:36:40  qboosh
- updated to 2.4

Revision 1.4  2003/03/11 09:22:38  qboosh
- added .la to -devel

Revision 1.3  2003/03/10 20:13:20  qboosh
- pl description, missing dir

Revision 1.2  2003/02/25 15:00:37  wiget
- PLDized

* Tue Feb 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add symlinks to shared libs

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jan 16 2003 Bill Nottingham <notting@redhat.com> 2.3-1
- initial build
